org.apache.commons.math3.analysis

## Interface ParametricUnivariateFunction

- All Known Implementing Classes:
    Gaussian.Parametric, HarmonicOscillator.Parametric, Logistic.Parametric, Logit.Parametric, PolynomialFunction.Parametric, Sigmoid.Parametric

      public interface ParametricUnivariateFunction

  An interface representing a real function that depends on one independent variable plus some extra parameters.
  Since:
    3.0
  Version:
    $Id: ParametricUnivariateFunction.java 1364387 2012-07-22 18:14:11Z tn $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `gradient(double x, double... parameters)` Compute the gradient of the function with respect to its parameters.
    `double` | `value(double x, double... parameters)` Compute the value of the function.

- - ### Method Detail

    - #### value

          double value(double x,
                     double... parameters)

      Compute the value of the function.
      Parameters:
        `x` - Point for which the function value should be computed.
        `parameters` - Function parameters.
      Returns:
        the value.

    - #### gradient

          double[] gradient(double x,
                          double... parameters)

      Compute the gradient of the function with respect to its parameters.
      Parameters:
        `x` - Point for which the function value should be computed.
        `parameters` - Function parameters.
      Returns:
        the value.

Copyright (c) 2003-2013 Apache Software Foundation